Document

Use this API to send messages using the Document template.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
<PartnerPortalWarning />

<br />

## Request Parameters

| Key           | Description                      | Value                                                                       | Data type | Required/Optional | Constraints                                                                                                                           |
| :------------ | :------------------------------- | :-------------------------------------------------------------------------- | :-------- | :---------------- | :------------------------------------------------------------------------------------------------------------------------------------ |
| Authorization | Access Token for the application | `{PARTNER_APP_TOKEN}`                                                       | String    | Required          | Should be a valid Partner App Access Token                                                                                            |
| source        | Source Phone Number              | `{SOURCE}`                                                                  | Integer   | Required          |                                                                                                                                       |
| sandbox       | Boolean value                    | `{SANDBOX}`                                                                 | Boolean   | Optional          |                                                                                                                                       |
| destination   | Destination Phone Number         | `{DESTINATION}`                                                             | Integer   | Required          |                                                                                                                                       |
| template      | Json containing template details | `{     "id":"{TEMPLAYE_ID}",     "params":[{TEMPLATE_PARAMS_LIST}]   }`     | String    | Required          | Must include valid template id                                                                                                        |
| message       | Message format                   | `{MESSAGE}`                                                                 | String    | Required          | `{     "type": "document",     "document": {       "link": "<document_url>",       "id": "<document_id>"     }   }`                 |
| src.name      | App Name                         | `{APP_NAME}`                                                                | String    | Required          |                                                                                                                                       |
| APP_ID        | App ID to fetch the access token | `{APP_ID}`                                                                  | String    | Required          | - The ID should be a valid app ID of Gupshup - The App must be associated with the account that owns the PARTNER_APP_TOKEN being used |

## Sample Request

```curl
curl --request POST \
     --url https://partner.gupshup.io/partner/app/947d28b8-459b-4dfe-9d4c-0ac8c6c245c9/template/msg \
     --header 'accept: application/json' \
     --header 'content-type: application/x-www-form-urlencoded' \
     --header 'token: sk_711916ad1d5d4f21a9520fdef20516a1' \
     --data source=919643874844 \
     --data destination=918886912227 \
     --data src.name=august18 \
     --data 'template={"id": "9ff51097-48c9-47c7-a4e4-a9bb5801d8ea", "params": []}' \
     --data 'message={
  "type": "document",
  "document": {
    "link": "<document_url>",
    "id": "<document_id>"
  }
}'

Sample Response

{
  "status": "submitted",
  "messageId": "bff60a9f-0177-4f3b-a0de-e2e04637e0ac"
}

Status Codes

Status CodeResponseComments
Success
200{ "status": "submitted", "messageId": "bff60a9f-0177-4f3b-a0de-e2e04637e0ac" }
Error
429{ "status": "error", "message": "Too Many Requests" }10 Requests per Minute
500{ "status": "error", "message": "Internal server error. Please try again later. If the issue still persists, then contact Gupshup Dev Support" }For any Internal Error
Path Params
string
required

Unique identifier of the app.

Form Data
integer
required

Source Phone Number

integer
required

Destination Phone Number

string
required

App Name

string
required

Json containing template details

string
required

Message Format

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json